(ns clj-ml4.ff-resilient
  (:use [enclog nnets training]
        [clj-ml4.ff-net :only [dataset train-network]]))

(def elman-network (network (neural-pattern :elman)
                             :activation :sigmoid
                             :input      2
                             :output     1
                             :hidden     [3]))


;; user> (def EN (train-network elman-network dataset :resilient-prop))
;; Iteration # 1 Error: 26.461526% Target-Error: 1.000000%
;; Iteration # 2 Error: 25.198031% Target-Error: 1.000000%
;; Iteration # 3 Error: 25.122343% Target-Error: 1.000000%
;; Iteration # 4 Error: 25.179218% Target-Error: 1.000000%
;; ...
;; ...
;; Iteration # 99 Error: 0.979165% Target-Error: 1.000000%
;; #'user/EN
