(ns clj-ml6.libsvm
  (:use svm.core))

; Load the heart scale example dataset.
(def dataset (read-dataset "resources/features.dat"))

(def model (train-model dataset))

; Get the feature map you want to predict.
(def feature (last (first dataset)))
;; user> feature
;; {1 0.708333, 2 1.0, 3 1.0, 4 -0.320755, 5 -0.105023,
;;  6 -1.0, 7 1.0, 8 -0.419847, 9 -1.0, 10 -0.225806, 12 1.0, 13 -1.0}
;; user> (feature 1)
;; 0.708333

; Label it.
(predict model feature)
;; user> (predict model feature)

;; 1.0
