(ns clj-ml3.plots
  (:use [incanter.charts :only [scatter-plot xy-plot add-lines]]
        [incanter.stats :only [linear-model quantile-normal]]
        [incanter.core :only [view sel sqrt matrix]]))

(defn sigmoid [x]
  (/ 1
     (+ 1 (Math/pow Math/E (- x)))))

(defn plot-sigmoid []
  (let [Z (range -10 10 0.01)
        Y (map sigmoid Z)]
    (view
     (xy-plot Z Y))))

(defn rev-sigmoid [x]
  (/ 1
     (+ 1 (Math/pow Math/E x))))


(defn plot-rev-sigmoid []
  (let [Z (range -10 10 0.01)
        Y (map rev-sigmoid Z)]
    (view
     (xy-plot Z Y))))
